<?php

/**
 * Active Callbacks
 *
 * @package social_blog
 */

// Theme Options.
function social_blog_is_pagination_enabled( $social_blog_control ) {
	return ( $social_blog_control->manager->get_setting( 'social_blog_enable_pagination' )->value() );
}
function social_blog_is_breadcrumb_enabled( $social_blog_control ) {
	return ( $social_blog_control->manager->get_setting( 'social_blog_enable_breadcrumb' )->value() );
}
function social_blog_is_layout_enabled( $social_blog_control ) {
	return ( $social_blog_control->manager->get_setting( 'social_blog_website_layout' )->value() );
}
function social_blog_is_pagetitle_bcakground_image_enabled( $social_blog_control ) {
	return ( $social_blog_control->manager->get_setting( 'social_blog_page_header_style' )->value() );
}
function social_blog_is_preloader_style( $social_blog_control ) {
	return ( $social_blog_control->manager->get_setting( 'social_blog_enable_preloader' )->value() );
}

// Header Options.
function social_blog_is_topbar_enabled( $social_blog_control ) {
	return ( $social_blog_control->manager->get_Setting( 'social_blog_enable_topbar' )->value() );
}

// Banner Slider Section.
function social_blog_is_banner_slider_section_enabled( $social_blog_control ) {
	return ( $social_blog_control->manager->get_setting( 'social_blog_enable_banner_section' )->value() );
}
function social_blog_is_banner_slider_section_and_content_type_post_enabled( $social_blog_control ) {
	$content_type = $social_blog_control->manager->get_setting( 'social_blog_banner_slider_content_type' )->value();
	return ( social_blog_is_banner_slider_section_enabled( $social_blog_control ) && ( 'post' === $content_type ) );
}
function social_blog_is_banner_slider_section_and_content_type_page_enabled( $social_blog_control ) {
	$content_type = $social_blog_control->manager->get_setting( 'social_blog_banner_slider_content_type' )->value();
	return ( social_blog_is_banner_slider_section_enabled( $social_blog_control ) && ( 'page' === $content_type ) );
}

// Service section.
function social_blog_is_service_section_enabled( $social_blog_control ) {
	return ( $social_blog_control->manager->get_setting( 'social_blog_enable_service_section' )->value() );
}
function social_blog_is_service_section_and_content_type_post_enabled( $social_blog_control ) {
	$content_type = $social_blog_control->manager->get_setting( 'social_blog_service_content_type' )->value();
	return ( social_blog_is_service_section_enabled( $social_blog_control ) && ( 'post' === $content_type ) );
}
function social_blog_is_service_section_and_content_type_page_enabled( $social_blog_control ) {
	$content_type = $social_blog_control->manager->get_setting( 'social_blog_service_content_type' )->value();
	return ( social_blog_is_service_section_enabled( $social_blog_control ) && ( 'page' === $content_type ) );
}